/*
 * recupera o mapper mybatis definido no arquivo XML
 */
var RcCliMapper = mapperFactory.createMapper("RcCli");
var RcCliConvRcCliMapper = mapperFactory.createMapper("RcCliConvRcCli");
/*
 * objeto message é um hashmap que contem a chave nome do atirbuto JSON e seu respectivos valores
 */
 var cliente = message();
 var lastCliente = RcCliMapper.selectList("listaMaxCdCli", null);
cliente.put("cdCli",lastCliente.get("cdCli"));
 try{
 		/*
 		 * insert
 		 */
 		RcCliMapper.insert("incluirRcCli", cliente);

 	RcCliMapper.commit();

 }catch(err){
 	RcCliMapper.rollback();
   throw " Ocorreu um erro: " + err;
 }

 try{

 		/*
 		 * insert
 		 */
 		RcCliConvRcCliMapper.insert("incluirRcCliConvRcCli", cliente);

 	RcCliConvRcCliMapper.commit();


 }catch(err){
 	RcCliConvRcCliMapper.rollback();
   throw " Ocorreu um erro: " + err;
 }
